kr.co.hanwha.hifive.screen.main.home

## Class MainHomeFragment

- java.lang.Object
- - android.app.Fragment
  - - kr.co.hanwha.hifive.base.BaseFragment
    - - kr.co.hanwha.hifive.screen.main.home.MainHomeFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, BaseView<MainHomeContract.Presenter>, MainHomeContract.View

      public class MainHomeFragment
      extends BaseFragment
      implements MainHomeContract.View

  메인 - HOME View

  See Also:
    `Created by sanghoonkwon on 2018. 1. 24..`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `MainHomeFragment.MainPagerAdapter` PagerAdapter

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INDEX_MINE`
    `static int` | `INDEX_REQUEST`
    `private MainHomeAssignedListAdapter` | `mAdapterAssigned`
    `private MainHomeRequestListAdapter` | `mAdapterRequest`
    `private HFMainTabUnderlineView` | `mMainTabUnderlineView`
    `private MainHomePresenter` | `mPresenter`
    `private android.support.v7.widget.RecyclerView` | `mRecyclerViewAssigned`
    `private android.support.v7.widget.RecyclerView` | `mRecyclerViewRequest`
    `private android.support.v4.widget.SwipeRefreshLayout` | `mRefreshLayoutAssigned`
    `private android.support.v4.widget.SwipeRefreshLayout` | `mRefreshLayoutRequest`
    `private int` | `mTabIndex`
    `private android.view.View` | `mViewAssigned`
    `private android.support.v4.view.ViewPager` | `mViewPager`
    `private android.view.View` | `mViewRequest`
    `(package private) android.view.View.OnClickListener` | `onClickListener` View.OnClickListener
    `(package private) MainHomeContract.OnMainHomeListListener` | `onMainHomeListListener` MainHomeContract.OnMainHomeListListener
    `(package private) HFMainTabUnderlineView.OnMainTabListener` | `onMainTabListener` HFMainTabUnderlineView.OnMainTabListener
    `(package private) android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener` | `onMineRefreshListener` SwipeRefreshLayout.OnRefreshListener
    `(package private) android.support.v4.view.ViewPager.OnPageChangeListener` | `onPageChangeListener` ViewPager.OnPageChangeListener
    `(package private) android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener` | `onRequestRefreshListener`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainHomeFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `void` | `onResume()`
    `void` | `refreshData()`
    `void` | `setTabIndex(int index)`
    `void` | `stopRefreshAssigned()` 나의 업무 새로고침 완료
    `void` | `stopRefreshRequest()` 요청한 업무 새로고침 완료

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseFragment

      `onCreate, showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToast, showToast, showToastAlert, showToastAlert, showToastConfirm, showToastConfirm, showToastEmpty, showToastEmpty, showToastImpossible, showToastImpossible`

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

      `showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

- - ### Field Detail

    - #### mViewPager

          private android.support.v4.view.ViewPager mViewPager

    - #### mViewAssigned

          private android.view.View mViewAssigned

    - #### mViewRequest

          private android.view.View mViewRequest

    - #### mRefreshLayoutAssigned

          private android.support.v4.widget.SwipeRefreshLayout mRefreshLayoutAssigned

    - #### mRefreshLayoutRequest

          private android.support.v4.widget.SwipeRefreshLayout mRefreshLayoutRequest

    - #### mRecyclerViewAssigned

          private android.support.v7.widget.RecyclerView mRecyclerViewAssigned

    - #### mRecyclerViewRequest

          private android.support.v7.widget.RecyclerView mRecyclerViewRequest

    - #### mAdapterAssigned

          private MainHomeAssignedListAdapter mAdapterAssigned

    - #### mAdapterRequest

          private MainHomeRequestListAdapter mAdapterRequest

    - #### mMainTabUnderlineView

          private HFMainTabUnderlineView mMainTabUnderlineView

    - #### mPresenter

          private MainHomePresenter mPresenter

    - #### INDEX_MINE

          public static final int INDEX_MINE

      See Also:
        Constant Field Values

    - #### INDEX_REQUEST

          public static final int INDEX_REQUEST

      See Also:
        Constant Field Values

    - #### mTabIndex

          private int mTabIndex

    - #### onClickListener

          android.view.View.OnClickListener onClickListener

      View.OnClickListener

    - #### onMineRefreshListener

          android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener onMineRefreshListener

      SwipeRefreshLayout.OnRefreshListener

    - #### onRequestRefreshListener

          android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener onRequestRefreshListener

    - #### onMainTabListener

          HFMainTabUnderlineView.OnMainTabListener onMainTabListener

      HFMainTabUnderlineView.OnMainTabListener

    - #### onMainHomeListListener

          MainHomeContract.OnMainHomeListListener onMainHomeListListener

      MainHomeContract.OnMainHomeListListener

    - #### onPageChangeListener

          android.support.v4.view.ViewPager.OnPageChangeListener onPageChangeListener

      ViewPager.OnPageChangeListener

  - ### Constructor Detail

    - #### MainHomeFragment

          public MainHomeFragment()

  - ### Method Detail

    - #### onCreateView

          @Nullable
          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                          @Nullable
                                                          android.view.ViewGroup container,
                                                          android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `android.app.Fragment`

    - #### onResume

          public void onResume()

      Overrides:
        `onResume` in class `android.app.Fragment`

    - #### setTabIndex

          public void setTabIndex(int index)

      Specified by:
        `setTabIndex` in interface `MainHomeContract.View`

    - #### refreshData

          public void refreshData()

      Specified by:
        `refreshData` in interface `MainHomeContract.View`

    - #### stopRefreshAssigned

          public void stopRefreshAssigned()

      Description copied from interface: `MainHomeContract.View`
      나의 업무 새로고침 완료
      Specified by:
        `stopRefreshAssigned` in interface `MainHomeContract.View`

    - #### stopRefreshRequest

          public void stopRefreshRequest()

      Description copied from interface: `MainHomeContract.View`
      요청한 업무 새로고침 완료
      Specified by:
        `stopRefreshRequest` in interface `MainHomeContract.View`